Bug 1288641 - The net-snmp package has a requirement of the mariadb-libs package instead of the libmysqlclient.so library preventing installation of MySQL enterprise. [NEEDINFO]
The net-snmp package has a requirement of the mariadb-libs package instead of...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp (Show other bugs)
7.1
Unspecified Linux
high Severity medium
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
:
Depends On:
Blocks: 1203710 1295796
  Show dependency treegraph
 
Reported: 2015-12-04 15:35 EST by Michael J. Ayers
Modified: 2016-01-19 11:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 11:34:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ksrot: needinfo? (ayersmj)


Attachments (Terms of Use)

  None (edit)
Description Michael J. Ayers 2015-12-04 15:35:34 EST
Description of problem:
Trying to install MySQL enterprise on a system.  The mariadb-libs package is present on the system which conflicts with MySQL.  Removal of mariadb-libs forces the removal of net-snmp which has a dependency of mysql-libs.

The net-snmp package is a system requirement and the dependency list shows the following packages are related to mariadb-libs:

[root@app3 MySQL]# yum deplist net-snmp
Loaded plugins: package_upload, product-id, subscription-manager
package: net-snmp.x86_64 1:5.7.2-20.el7_1.1
.
.
  dependency: libmysqlclient.so.18()(64bit)
   provider: mariadb-libs.x86_64 1:5.5.44-1.el7_1
.
.
  dependency: mysql-libs
   provider: mariadb-libs.x86_64 1:5.5.44-1.el7_1
   provider: mariadb-libs.i686 1:5.5.44-1.el7_1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to remove mariadb-libs
2.
3.

Actual results:
Removal of package requires removal of net-snmp

Expected results:
The net-snmp package shouldnt require the mariadb-libs package or should only require the libmysqlclient.so from any mysql/mariadb/MySQL Enterprise package.

Additional info:
Even with a libmysqlclient.so.18 file on the system, it fails on the requirement for the actual mysql-libs package.

Is it possible to repackage net-smnp with just a requirement for the libmysqlclient.so file and not the mysql-libs package?

The current workaround is to install net-snmp with --nodeps rpm option and adding "net-snmp net-snmp-libs net-snmp-agent-libs" to the yum.conf excludes list.
Comment 1 Jan Safranek 2015-12-07 05:02:30 EST
I don't think there is a bug in Net-SNMP. It requires mysql-libs and libmysqlclient.so.18. In RHEL7, this is provided by mariadb-libs, but when I add mysql-community repo, I can install mysql without problems and it removes mariadb:

$ rpm -Uvh mysql57-community-release-el7-7.noarch.rpm
$ yum update
Installing:
mysql-community-libs
     replacing  mariadb-libs.x86_64 1:5.5.44-2.el7
mysql-community-libs-compat
     replacing  mariadb-libs.x86_64 1:5.5.44-2.el7
Installing for dependencies:
 mysql-community-common


It's up to MySQL Enterprise to provide the same mysql-libs and libmysqlclient.so.18 and obsolete mariadb-libs. I don't have access to MySQL Enterprise to check what it provides and how.

You should never _remove_ mariadb-libs, you should _replace_ it with MySQL.

Note You need to log in before you can comment on or make changes to this bug.